For the complete documentation index, see llms.txt. This page is also available as Markdown.

Conference servers

List conference servers

get

List conference servers

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
filterstringOptional

Use the filter query parameter to retrieve just a subset of a collection.

searchstringOptional

Use the search query parameter to restrict the results of a request to match a search criterion.

orderbystringOptional

Use the orderby query parameter to specify the sort order of the items returned from server.
The default order is ascending order.

skipinteger · int32Optional

Use the skip query parameter to set the number of items to skip at the start of a collection.

Default: 0
topinteger · int32 · min: 1 · max: 100Optional

Use the top query parameter to specify the page size of the result set.

Default: 100
Responses
200

OK

application/json
countinteger · int64Optional

Total number of resource.

Example: 100
get/conference_servers

Create a conference server

post

Create a conference server.
Please note that: at least one of ipv4 or ipv6 must be specified.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestring · min: 1 · max: 64Required

The name of conference server.

enabledbooleanOptional

The activate status or deactivated status.

Default: true
ipv4stringOptional

Host IPV4 address.

ipv6stringOptional

Host IPV6 address.

max_roomsinteger · int32Required

The maximum number of rooms for conference server.

max_participantsinteger · int32Required

The maximum number of participants for conference server.

Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
post/conference_servers

Retrieve a conference server

get

Retrieve a conference server.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Responses
200

OK

application/json
idstringOptional

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
namestring · min: 1 · max: 64Optional

The name of conference server.

enabledbooleanOptional

The activate status or deactivated status.

Default: true
typestring · enumRead-onlyOptional

Every PortSIP PBX has a built-in conference server marked as INTERNAL;
Newly added conference servers will be marked as "EXTERNAL".

Possible values:
ipv4stringOptional

Host IPV4 address.

ipv6stringOptional

Host IPV6 address.

max_roomsinteger · int32Optional

The maximum number of rooms for conference server.

max_participantsinteger · int32Optional

The maximum number of participants for conference server.

get/conference_servers/{id}

Update a conference server

post

Update a conference server

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired

The unique ID of the resource.

Example: NzAwNTUxOTA5NzczMTQ4MTYw
Body
enabledbooleanOptional

The activate status or deactivated status.

Default: true
max_roomsinteger · int32Optional

The maximum number of rooms for conference server.

max_participantsinteger · int32Optional

The maximum number of participants for conference server.

Responses
200

OK

No content

post/conference_servers/{id}

No content

Was this helpful?